Subject: Re: bug#29053: 26.0.90: scroller cannot be dragged to bottom of window
From: [email-masked] (Charles A. Roelli)
To: Alan Third <[email-masked]>
Cc: [email-masked]
Date: Sat, 04 Nov 2017 10:57:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 2 Nov 2017 22:54:25 +0000
> From: Alan Third <[email-masked]>
> 
> On Wed, Nov 01, 2017 at 09:43:46PM +0100, Charles A. Roelli wrote:
> > > Date: Wed, 1 Nov 2017 16:52:34 +0000
> > > From: Alan Third <[email-masked]>
> > > 
> > > On Tue, Oct 31, 2017 at 10:12:47PM +0100, Charles A. Roelli wrote:
> > > >   (mouseDragged): Handle horizontal case. Call sendScrollEventAtLoc with
> > > >   absolute pixel size instead of ratio.
> > > 
> > > The problem is most likely in here.
> <snip>
> > > 
> > > Does 10.6 have buttons to click at the top and/or bottom of the
> > > scrollbar? If so they might affect the offset.
> > 
> > It has two buttons (up and down), at the bottom of the scrollbar.
> > When I drag the scroller as far down as possible, the distance between
> > the bottom of the scroller and the pointer (which should be zero)
> > looks about the same as the total height of the two buttons, so I
> > think you're right.
> 
> It was this. Emacs expects the scroller slot to be the same number of
> pixels as the whole scroller takes up. When there are buttons within
> the scroller area then the slot is smaller.
> 
> On modern macOS versions because there are no buttons the use of a
> ratio looked silly, but when there are buttons (like on GNUstep too)
> then the ratio makes more sense. I shouldn’t have changed it.
> 
> I’ve pushed a fix. It works on GNUstep, so I expect it will work for
> you too.
> -- 
> Alan Third

Thanks very much Alan, it now works well.  I'm closing the bug.